#2132 closed defect (fixed)

<rtems/score/basedefs.h> superfluously includes <limits.h>

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: low Milestone: 5.1
Component: score Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

In older RTEMS versions <rtems.h> provided <limits.h> indirectly. The include of <limits.h> was added to not break application source files that relied on this accidentally.

We may remove this include in the future.

Change History (13)

comment:1 Changed on Jul 22, 2013 at 2:36:54 PM by Sebastian Huber

In older RTEMS versions <rtems.h> provided <limits.h> indirectly. The include of <limits.h> was added to not break application source files that relied on this accidentally.

We may remove this include in the future.

comment:2 Changed on Nov 22, 2014 at 4:10:47 PM by Joel Sherrill

Description: modified (diff)
Owner: changed from Joel Sherrill to Sebastian Huber
Status: newassigned

Sebastian .. is this still valid? What do you want to do?

comment:3 Changed on Nov 24, 2014 at 7:52:18 AM by Sebastian Huber

Milestone: 4.115.0

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on Feb 18, 2015 at 2:39:52 PM by Sebastian Huber

Description: modified (diff)
Status: assignedaccepted

comment:6 Changed on Dec 23, 2016 at 2:10:53 PM by Sebastian Huber

Priority: normallow

comment:7 Changed on Aug 25, 2017 at 10:54:09 AM by Sebastian Huber

Milestone: 5.04.12.0
Version: 4.11

comment:8 Changed on Aug 25, 2017 at 10:54:09 AM by Sebastian Huber <sebastian.huber@…>

In 1f22b26/rtems:

Include missing <limits.h>

Update #2132.

comment:9 Changed on Aug 25, 2017 at 10:54:59 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: acceptedclosed

In cfa7afd/rtems:

score: Remove <limits.h> include from basedefs.h

Close #2132.

comment:10 Changed on Aug 25, 2017 at 12:24:08 PM by Sebastian Huber <sebastian.huber@…>

In 666a568/rtems-libbsd:

Include missing <string.h> and <limits.h>

Fix warnings.

Update #2132.
Update #2133.

comment:11 Changed on Aug 25, 2017 at 12:40:14 PM by Sebastian Huber <sebastian.huber@…>

In 02b007e/rtems:

Include missing <limits.h>

Update #2132.

comment:12 Changed on Sep 19, 2017 at 8:57:49 AM by Sebastian Huber <sebastian.huber@…>

In 9a50e32/rtems:

score: Include missing <limits.h>

Update #2132.
Close #3140.

comment:13 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.